## hlssink hlssink |

## Properties

gchar * | location | Read / Write
guint | max-files | Read / Write
guint | playlist-length | Read / Write
gchar * | playlist-location | Read / Write
gchar * | playlist-root | Read / Write
guint | target-duration | Read / Write

## Types and Values

struct | GstHlsSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBin
                        ╰── GstHlsSink

## Implemented Interfaces

GstHlsSink implements GstChildProxy.

## Description

HTTP Live Streaming sink/server

#### Example launch line

    1
    gst-launch-1.0 videotestsrc is-live=true ! x264enc ! hlssink max-files=5

## Synopsis

### Element Information

plugin | hls
author | Alessandro Decina <alessandro.d@gmail.com>
class | Sink

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

## Functions

## Types and Values

### struct GstHlsSink

    struct GstHlsSink;

## Property Details

### The `“location”` property

      “location”                 gchar *

Location of the file to write.

Flags: Read / Write

Default value: "segment%05d.ts"

### The `“max-files”` property

      “max-files”                guint

Maximum number of files to keep on disk. Once the maximum is reached,old files start to be deleted to make room for new ones.

Flags: Read / Write

Default value: 10

### The `“playlist-length”` property

      “playlist-length”          guint

Length of HLS playlist. To allow players to conform to section 6.3.3 of the HLS specification, this should be at least 3. If set to 0, the playlist will be infinite.

Flags: Read / Write

Default value: 5

### The `“playlist-location”` property

      “playlist-location”        gchar *

Location of the playlist to write.

Flags: Read / Write

Default value: "playlist.m3u8"

### The `“playlist-root”` property

      “playlist-root”            gchar *

Location of the playlist to write.

Flags: Read / Write

Default value: NULL

### The `“target-duration”` property

      “target-duration”          guint

The target duration in seconds of a segment/file. (0 - disabled, useful for management of segment duration by the streaming server).

Flags: Read / Write

Default value: 15